<?php
// Own namespace
namespace Org\Mxchange\CoreFramework\Traits\Stream\Output;

// Import framework stuff
use Org\Mxchange\CoreFramework\Stream\Output\OutputStream;

/**
 * A trait for output stream classes
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 - 2020 Core Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
trait OutputStreamTrait {
	/**
	 * An instance of a OutputStream class
	 */
	private $outputStreamInstance = NULL;

	/**
	 * Getter for a OutputStream instance
	 *
	 * @param	$outputStreamInstance	An instance of an OutputStream class
	 */
	protected final function getOutputStreamInstance () {
		return $this->outputStreamInstance;
	}

	/**
	 * Setter for a OutputStream instance
	 *
	 * @param	$outputStreamInstance	An instance of an OutputStream class
	 * @return	void
	 */
	protected final function setOutputStreamInstance (OutputStream $outputStreamInstance) {
		$this->outputStreamInstance = $outputStreamInstance;
	}

}
