<?php
// Import needed stuff
use Org\Mxchange\CoreFramework\Bootstrap\FrameworkBootstrap;

/*
 * Copyright (C) 2017 - 2020 Core Developer Team
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * @author Roland Haeder<roland@mxchange.org>
 */
// TODO: check include path
//ini_set('include_path', ini_get('include_path'));

// Bad and ugly:
$_SERVER['argv'][1] = 'app=tests';

// Pre-run own tests
require dirname(__DIR__) . '/index.php';

// Remove it to prevent leak to PHPUnit
unset($_SERVER['argv'][1]);

// For these unit tests, xdebug must be quieted a bit
if (extension_loaded('xdebug')) {
	// Quiet it a bit as this interfers with the nice testing output
	ini_set('xdebug.show_exception_trace', FALSE);
} // END - if

// Autoload more stuff
require dirname(__DIR__) . '/vendor/autoload.php';

// Quiet DNS resolver as this is not wanted here
FrameworkBootstrap::getConfigurationInstance()->setConfigEntry('quiet_dns_resolver', TRUE);
